
# execute as @e[type=marker,tag=land_mine,tag=registered] at @s as @a[distance=..1]

execute as @e[type=marker,tag=land_mine,tag=!registered] unless score @s player_id matches 1.. at @s as @a[scores={set_land_mine=1..},sort=nearest,limit=1,team=red] run tag @e[type=marker,tag=land_mine,sort=nearest,limit=1,tag=!registered] add red
execute as @e[type=marker,tag=land_mine,tag=!registered,tag=!red] unless score @s player_id matches 1.. at @s as @a[scores={set_land_mine=1..},sort=nearest,limit=1,team=blue] run tag @e[type=marker,tag=land_mine,sort=nearest,limit=1,tag=!registered] add blue
execute as @e[type=marker,tag=land_mine,tag=!registered] unless score @s player_id matches 1.. at @s as @a[scores={set_land_mine=1..},sort=nearest,limit=1] run scoreboard players operation @e[type=marker,tag=land_mine,sort=nearest,limit=1,tag=!registered] player_id = @s player_id
scoreboard players reset @a[scores={set_land_mine=1..}] set_land_mine

execute as @e[type=marker,tag=land_mine,tag=!registered] at @s run playsound minecraft:block.iron_door.open block @a ~ ~ ~ 0.7 2
execute as @e[type=marker,tag=land_mine,tag=!registered] at @s run playsound minecraft:block.iron_door.close block @a ~ ~ ~ 0.7 1.6
execute as @e[type=marker,tag=land_mine,tag=!registered] at @s run summon minecraft:armor_stand ~ ~-1.33 ~ {Tags:["land_mine_display"],NoGravity:1,Invisible:1,NoBasePlace:1,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:heavy_weighted_pressure_plate",Count:1b}],DisabledSlots:4144896}
execute as @e[type=marker,tag=land_mine,tag=!registered] at @s run summon minecraft:armor_stand ~ ~-1.95 ~ {Tags:["land_mine_display"],NoGravity:1,Invisible:1,NoBasePlace:1,Marker:1,ArmorItems:[{},{},{},{id:"minecraft:netherite_block",Count:1b}],DisabledSlots:4144896}

tag @e[type=marker,tag=land_mine,tag=!registered] add registered



execute as @e[type=marker,tag=land_mine,tag=detonate] at @s run tag @e[type=marker,tag=land_mine,tag=!detonate,distance=..5] add detonate
execute as @e[type=marker,tag=land_mine,tag=detonate] at @s run tag @e[type=marker,tag=grenade_tracker,tag=!detonate,distance=..5] add detonate
kill @e[type=marker,tag=land_mine,tag=end_detonation]

execute as @e[type=marker,tag=land_mine,tag=!red,tag=!blue] at @s as @a if score @s player_id = @e[type=marker,tag=land_mine,sort=nearest,limit=1] player_id run particle minecraft:dust 1 0.9 0.2 1 ~ ~0.1 ~ 0.2 0 0.2 0 1 force @s
execute as @e[type=marker,tag=land_mine,tag=!red,tag=!blue] at @s run particle minecraft:dust 1 0.9 0.2 1 ~ ~0.1 ~ 0.2 0 0.2 0 1 force @a[team=spectator]
execute as @e[type=marker,tag=land_mine,tag=red] at @s run particle minecraft:dust 1 0.2 0.2 1 ~ ~0.1 ~ 0.2 0 0.2 0 1 force @a[team=!blue]
execute as @e[type=marker,tag=land_mine,tag=blue] at @s run particle minecraft:dust 0.3 0.3 1 1 ~ ~0.1 ~ 0.2 0 0.2 0 1 force @a[team=!red]

execute as @e[nbt={OnGround:1b},type=!marker,gamemode=!spectator] at @s as @e[type=marker,tag=land_mine,distance=..0.6,tag=!red,tag=!blue] unless score @s player_id = @e[type=!marker,distance=..0.6,sort=nearest,limit=1,nbt={OnGround:1b}] player_id run tag @s add detonate
execute as @e[type=marker,tag=land_mine] at @s if entity @e[type=!player,nbt={inGround:1b},type=!marker,distance=..0.6] run tag @s add detonate
execute as @e[type=marker,tag=land_mine] at @s if entity @e[type=!player,nbt=!{Marker:1b},nbt={OnGround:1b},type=!marker,distance=..0.6] run tag @s add detonate
execute as @e[type=marker,tag=land_mine] at @s if block ~ ~ ~ water run tag @s add detonate

execute if score match_state game_state matches ..0 run kill @e[type=marker,tag=land_mine]
execute if score match_state game_state matches ..0 run kill @e[type=armor_stand,tag=land_mine_display]
execute as @e[type=marker,tag=land_mine,tag=red] at @s if entity @a[nbt={OnGround:1b},distance=..0.5,gamemode=!spectator,team=blue] run tag @s add detonate

execute as @e[type=marker,tag=land_mine,tag=blue] at @s if entity @a[nbt={OnGround:1b},distance=..0.5,gamemode=!spectator,team=red] run tag @s add detonate

execute as @e[type=marker,tag=land_mine,tag=detonate] at @s positioned ~ ~-1.64 ~ run kill @e[type=armor_stand,tag=land_mine_display,distance=..0.5]
execute as @e[type=marker,tag=land_mine,tag=detonate] at @s run playsound minecraft:block.wooden_pressure_plate.click_on block @a ~ ~ ~ 2 0.6
execute as @e[type=marker,tag=land_mine,tag=detonate] at @s run playsound minecraft:block.iron_door.open block @a ~ ~ ~ 1 0.7

execute as @e[type=marker,tag=land_mine,tag=detonate] at @s run summon creeper ~ ~ ~ {Fuse:0,ExplosionRadius:4,Silent:1,Invulnerable:1}

tag @e[type=marker,tag=land_mine,tag=detonate] add end_detonation
execute as @e[type=marker,tag=land_mine] at @s positioned ~-0.5 ~-2 ~-0.5 if block ~0.5 ~1.5 ~0.5 air as @e[type=armor_stand,tag=land_mine_display,dx=0,dy=2,dz=0] at @s run tp @s ~ ~-0.5 ~
execute as @e[type=marker,tag=land_mine] at @s if block ~ ~-0.5 ~ air run tp @s ~ ~-0.5 ~
execute as @e[type=marker,tag=land_mine] at @s positioned ~-0.5 ~-2 ~-0.5 if block ~0.5 ~1.5 ~0.5 water as @e[type=armor_stand,tag=land_mine_display,dx=0,dy=2,dz=0] at @s run tp @s ~ ~-0.5 ~
execute as @e[type=marker,tag=land_mine] at @s if block ~ ~-0.5 ~ water run tp @s ~ ~-0.5 ~

