
execute if score match_state game_state matches 0 if score start_delay time matches 2.. run fill 1008 107 18 1012 109 18 birch_fence
execute if score match_state game_state matches 0 if score start_delay time matches 2.. run fill 992 107 -18 988 109 -18 birch_fence
execute if score match_state game_state matches 0 if score start_delay time matches ..1 run fill 1008 107 18 1012 109 18 air
execute if score match_state game_state matches 0 if score start_delay time matches ..1 run fill 992 107 -18 988 109 -18 air

tag @a[x=973,y=100,z=-5,dx=54,dy=50,dz=10,scores={respawn_camp_timer=0..}] add out_of_spawn

# Display Plank Automation

scoreboard players add @e[type=armor_stand,tag=display_wood,nbt={NoGravity:1b}] sound_timer 1
scoreboard players set @e[type=armor_stand,tag=display_wood,scores={sound_timer=5..}] sound_timer 0
execute as @e[type=armor_stand,tag=display_wood,scores={sound_timer=0}] at @s run playsound minecraft:block.wooden_door.close block @a ~ ~1.5 ~ 0.04 0.6

execute as @e[type=armor_stand,tag=display_wood] at @s positioned ~ 93 ~ as @s[distance=..1] at @s run playsound minecraft:entity.generic.extinguish_fire block @a ~ ~1.5 ~ 0.1 0.6
execute as @e[type=armor_stand,tag=display_wood] at @s positioned ~ 93 ~ run kill @s[distance=..1]
particle minecraft:large_smoke 995 94 3 0.1 0.4 0.1 0.1 7
particle minecraft:large_smoke 1005 94 -3 0.1 0.4 0.1 0.1 7

execute positioned 1000 101 0 if entity @a[distance=..100] run scoreboard players add woodworks_display_wood display_timer 1
execute if score woodworks_display_wood display_timer matches 40.. run scoreboard players set woodworks_display_wood display_timer 0
execute positioned 1000 101 0 if entity @a[distance=..100] if score woodworks_display_wood display_timer matches 0 run summon armor_stand 995 105.6 -18 {ArmorItems:[{},{},{},{id:"minecraft:mangrove_planks",Count:1b}],Invulnerable:1b,Silent:1b,NoGravity:1b,Tags:["display_wood"],Invisible:1b,DisabledSlots:4144896,NoBasePlate:1b}
execute positioned 1000 101 0 if entity @a[distance=..100] if score woodworks_display_wood display_timer matches 0 run summon armor_stand 1005 105.6 18 {ArmorItems:[{},{},{},{id:"minecraft:warped_planks",Count:1b}],Invulnerable:1b,Silent:1b,NoGravity:1b,Tags:["display_wood"],Invisible:1b,DisabledSlots:4144896,Rotation:[180.0f],NoBasePlate:1b}

execute as @e[type=armor_stand,tag=display_wood,nbt={NoGravity:1b}] at @s run tp @s ^ ^ ^0.1


execute positioned 995 101 -5.78 as @e[type=armor_stand,tag=display_wood,nbt={OnGround:1b},distance=..1] at @s run playsound minecraft:block.wood.fall block @a ~ ~ ~ 0.25 0.5
execute positioned 995 101 -5.78 as @e[type=armor_stand,tag=display_wood,nbt={OnGround:1b},distance=..1] at @s run tp @s ~ ~-1.4 ~
execute positioned 995 100.0 -5.88 as @e[type=armor_stand,tag=display_wood,nbt={OnGround:1b},distance=..1] run data merge entity @s {NoGravity:1b}
execute positioned 995 106.0 -5.88 as @e[type=armor_stand,tag=display_wood,nbt={OnGround:1b},distance=..1] run data merge entity @s {NoGravity:0b}
execute positioned 995 100.0 4.22 as @e[type=armor_stand,tag=display_wood,nbt={OnGround:1b},distance=..1] run data merge entity @s {NoGravity:0b}
execute positioned 1005 101 6.78 as @e[type=armor_stand,tag=display_wood,nbt={OnGround:1b},distance=..1] at @s run playsound minecraft:block.wood.fall block @a ~ ~ ~ 0.25 0.5
execute positioned 1005 101 6.78 as @e[type=armor_stand,tag=display_wood,nbt={OnGround:1b},distance=..1] at @s run tp @s ~ ~-1.4 ~
execute positioned 1005 100.0 6.88 as @e[type=armor_stand,tag=display_wood,nbt={OnGround:1b},distance=..1] run data merge entity @s {NoGravity:1b}
execute positioned 1005 106.0 6.88 as @e[type=armor_stand,tag=display_wood,nbt={OnGround:1b},distance=..1] run data merge entity @s {NoGravity:0b}
execute positioned 1005 100.0 -3.22 as @e[type=armor_stand,tag=display_wood,nbt={OnGround:1b},distance=..1] run data merge entity @s {NoGravity:0b}
execute as @e[type=armor_stand,tag=display_wood] at @s positioned ~ ~1 ~ run tag @e[type=marker,tag=land_mine,distance=..0.5] add detonate


# Teleporters

execute if score woodworks_display_wood display_timer matches 0 run playsound minecraft:block.portal.ambient block @a 1026 104 4 0.2 1.4
execute if score woodworks_display_wood display_timer matches 0 run playsound minecraft:block.portal.ambient block @a 974 104 -4 0.2 1.4
particle firework 1026 105 4 0 1 1 0 3 force
particle firework 1026 105 4 0 1 1 0 7
particle firework 974 105 -4 0 1 1 0 3 force
particle firework 974 105 -4 0 1 1 0 7

execute positioned 971 102 -6 as @e[dx=2,dy=4,dz=4] unless entity @s[type=player,gamemode=spectator] run tag @s add ww_tp_red
execute positioned 1026 102 2 as @e[dx=2,dy=4,dz=4] unless entity @s[type=player,gamemode=spectator] run tag @s add ww_tp_blue
tag @e[tag=ww_tp_red] add ww_tp
tag @e[tag=ww_tp_blue] add ww_tp

execute as @a[tag=ww_tp] at @s run playsound minecraft:entity.illusioner.mirror_move player @a ~ ~1 ~ 1 1
execute as @e[type=zombie,tag=ww_tp] at @s run playsound minecraft:entity.illusioner.mirror_move player @a ~ ~1 ~ 1 1
execute as @e[type=arrow,tag=ww_tp] at @s run playsound minecraft:entity.illusioner.mirror_move player @a ~ ~ ~ 0.7 1.6
execute as @e[type=trident,tag=ww_tp] at @s run playsound minecraft:entity.illusioner.mirror_move player @a ~ ~ ~ 0.7 1.6
execute as @e[type=ender_pearl,tag=ww_tp] at @s run playsound minecraft:entity.illusioner.mirror_move player @a ~ ~ ~ 0.7 1.6
execute as @e[type=snowball,tag=ww_tp] at @s run playsound minecraft:entity.illusioner.mirror_move player @a ~ ~ ~ 0.7 1.6
execute as @a[tag=ww_tp] at @s run particle poof ~ ~1 ~ 0.2 0.3 0.2 0.04 20
execute as @e[type=zombie,tag=ww_tp] at @s run particle poof ~ ~1 ~ 0.2 0.3 0.2 0.04 20
execute as @e[type=arrow,tag=ww_tp] at @s run particle poof ~ ~ ~ 0.1 0.1 0.1 0.03 4
execute as @e[type=trident,tag=ww_tp] at @s run particle poof ~ ~ ~ 0.1 0.1 0.1 0.03 4
execute as @e[type=ender_pearl,tag=ww_tp] at @s run particle poof ~ ~ ~ 0.1 0.1 0.1 0.03 4
execute as @e[type=snowball,tag=ww_tp] at @s run particle poof ~ ~ ~ 0.1 0.1 0.1 0.03 4
effect give @a[tag=ww_tp] blindness 1 0 true
effect give @a[tag=ww_tp] invisibility infinite 0 true
scoreboard players add @a[tag=ww_tp] invisibility 4
clear @a[tag=ww_tp] leather_helmet
clear @a[tag=ww_tp] leather_chestplate
clear @a[tag=ww_tp] end_crystal
clear @a[tag=ww_tp] red_banner
clear @a[tag=ww_tp] blue_banner
execute as @e[tag=ww_tp_blue] at @s run tp @s ~-32 ~4 ~-17
execute as @e[tag=ww_tp_red] at @s run tp @s ~32 ~4 ~17
execute as @a[tag=ww_tp] at @s run playsound minecraft:entity.illusioner.mirror_move player @a ~ ~1 ~ 1 1
execute as @e[type=zombie,tag=ww_tp] at @s run playsound minecraft:entity.illusioner.mirror_move player @a ~ ~1 ~ 1 1
execute as @e[type=arrow,tag=ww_tp] at @s run playsound minecraft:entity.illusioner.mirror_move player @a ~ ~ ~ 0.7 1.6
execute as @e[type=trident,tag=ww_tp] at @s run playsound minecraft:entity.illusioner.mirror_move player @a ~ ~ ~ 0.7 1.6
execute as @e[type=ender_pearl,tag=ww_tp] at @s run playsound minecraft:entity.illusioner.mirror_move player @a ~ ~ ~ 0.7 1.6
execute as @e[type=snowball,tag=ww_tp] at @s run playsound minecraft:entity.illusioner.mirror_move player @a ~ ~ ~ 0.7 1.6
execute as @a[tag=ww_tp] at @s run particle poof ~ ~1 ~ 0.2 0.3 0.2 0.04 20
execute as @e[type=zombie,tag=ww_tp] at @s run particle poof ~ ~1 ~ 0.2 0.3 0.2 0.04 20
execute as @e[type=arrow,tag=ww_tp] at @s run particle poof ~ ~ ~ 0.1 0.1 0.1 0.03 4
execute as @e[type=trident,tag=ww_tp] at @s run particle poof ~ ~ ~ 0.1 0.1 0.1 0.03 4
execute as @e[type=ender_pearl,tag=ww_tp] at @s run particle poof ~ ~ ~ 0.1 0.1 0.1 0.03 4
execute as @e[type=snowball,tag=ww_tp] at @s run particle poof ~ ~ ~ 0.1 0.1 0.1 0.03 4
tag @e[tag=ww_tp] remove ww_tp
tag @e[tag=ww_tp_red] remove ww_tp_red
tag @e[tag=ww_tp_blue] remove ww_tp_blue